<html>
<head>
<title>OGRE: Ogre::ResourceGroupListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ResourceGroupListener.html">ResourceGroupListener</a></div>
<h1>Ogre::ResourceGroupListener Class Reference</h1><!-- doxytag: class="Ogre::ResourceGroupListener" -->This abstract class defines an interface which is called back during resource group loading to indicate the progress of the load.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ResourceGroupListener-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#f53d0887dbc49e858f590a7ae4fb0a31">~ResourceGroupListener</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#ef0cfe4119bc10ddef05f0e994d98566">resourceGroupScriptingStarted</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName, size_t scriptCount)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when a resource group begins parsing scripts.  <a href="#ef0cfe4119bc10ddef05f0e994d98566"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#0beab5da052c92f27718070d759cab37">scriptParseStarted</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;scriptName)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when a script is about to be parsed.  <a href="#0beab5da052c92f27718070d759cab37"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#3a9dff7d247c44dbd33ce823afb1052a">scriptParseEnded</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;scriptName)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when the script has been fully parsed.  <a href="#3a9dff7d247c44dbd33ce823afb1052a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#eee89b287a1634e5645d9ade5e6d8752">resourceGroupScriptingEnded</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when a resource group finished parsing scripts.  <a href="#eee89b287a1634e5645d9ade5e6d8752"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#defd1c2350a941fe79d4820f3418dfc0">resourceGroupLoadStarted</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName, size_t resourceCount)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when a resource group begins loading.  <a href="#defd1c2350a941fe79d4820f3418dfc0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#6fe29dfb11fa16f06ab6fe83d7abee36">resourceLoadStarted</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &amp;resource)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when a declared resource is about to be loaded.  <a href="#6fe29dfb11fa16f06ab6fe83d7abee36"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#658f1e741d27e594106a90391f08b2ab">resourceLoadEnded</a> (void)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when the resource has been loaded.  <a href="#658f1e741d27e594106a90391f08b2ab"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#732dfe8e3bc33b9832aeaa0ac55ae3f3">worldGeometryStageStarted</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;description)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when a stage of loading linked world geometry is about to start.  <a href="#732dfe8e3bc33b9832aeaa0ac55ae3f3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#167a566c1b0f45411fb19e6ec3f50976">worldGeometryStageEnded</a> (void)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when a stage of loading linked world geometry has been completed.  <a href="#167a566c1b0f45411fb19e6ec3f50976"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceGroupListener.html#5a54d863d86588ba7971c54ec7f44541">resourceGroupLoadEnded</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This event is fired when a resource group finished loading.  <a href="#5a54d863d86588ba7971c54ec7f44541"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
This abstract class defines an interface which is called back during resource group loading to indicate the progress of the load. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> group loading is in 2 phases - creating resources from declarations (which includes parsing scripts), and loading resources. Note that you don't necessarily have to have both; it is quite possible to just parse all the scripts for a group (see <a class="el" href="classOgre_1_1ResourceGroupManager.html#f5c901bfb116d7f70f4542bd828784f4" title="Initialises a resource group.">ResourceGroupManager::initialiseResourceGroup</a>, but not to load the resource group. The sequence of events is (* signifies a repeating item): <ul>
<li>
resourceGroupScriptingStarted </li>
<li>
scriptParseStarted (*) </li>
<li>
scriptParseEnded (*) </li>
<li>
resourceGroupScriptingEnded </li>
<li>
resourceGroupLoadStarted </li>
<li>
resourceLoadStarted (*) </li>
<li>
resourceLoadEnded (*) </li>
<li>
worldGeometryStageStarted (*) </li>
<li>
worldGeometryStageEnded (*) </li>
<li>
resourceGroupLoadEnded </li>
</ul>
</dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>If OGRE_THREAD_SUPPORT is 1, this class is thread-safe. </dd></dl>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00068">68</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="f53d0887dbc49e858f590a7ae4fb0a31"></a><!-- doxytag: member="Ogre::ResourceGroupListener::~ResourceGroupListener" ref="f53d0887dbc49e858f590a7ae4fb0a31" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ResourceGroupListener::~ResourceGroupListener           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00071">71</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="ef0cfe4119bc10ddef05f0e994d98566"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupScriptingStarted" ref="ef0cfe4119bc10ddef05f0e994d98566" args="(const String &amp;groupName, size_t scriptCount)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::resourceGroupScriptingStarted           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>scriptCount</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when a resource group begins parsing scripts. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Remember that if you are loading resources through <a class="el" href="classOgre_1_1ResourceBackgroundQueue.html" title="This class is used to perform Resource operations in a background thread.">ResourceBackgroundQueue</a>, these callbacks will occur in the background thread, so you should not perform any thread-unsafe actions in this callback if that's the case (check the group name / script name). </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>groupName</em>&nbsp;</td><td>The name of the group </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scriptCount</em>&nbsp;</td><td>The number of scripts which will be parsed </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="0beab5da052c92f27718070d759cab37"></a><!-- doxytag: member="Ogre::ResourceGroupListener::scriptParseStarted" ref="0beab5da052c92f27718070d759cab37" args="(const String &amp;scriptName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::scriptParseStarted           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>scriptName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when a script is about to be parsed. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scriptName</em>&nbsp;</td><td>Name of the to be parsed </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="3a9dff7d247c44dbd33ce823afb1052a"></a><!-- doxytag: member="Ogre::ResourceGroupListener::scriptParseEnded" ref="3a9dff7d247c44dbd33ce823afb1052a" args="(const String &amp;scriptName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::scriptParseEnded           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>scriptName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when the script has been fully parsed. 
<p>

</div>
</div><p>
<a class="anchor" name="eee89b287a1634e5645d9ade5e6d8752"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupScriptingEnded" ref="eee89b287a1634e5645d9ade5e6d8752" args="(const String &amp;groupName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::resourceGroupScriptingEnded           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when a resource group finished parsing scripts. 
<p>

</div>
</div><p>
<a class="anchor" name="defd1c2350a941fe79d4820f3418dfc0"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupLoadStarted" ref="defd1c2350a941fe79d4820f3418dfc0" args="(const String &amp;groupName, size_t resourceCount)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::resourceGroupLoadStarted           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>resourceCount</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when a resource group begins loading. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>groupName</em>&nbsp;</td><td>The name of the group being loaded </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>resourceCount</em>&nbsp;</td><td>The number of resources which will be loaded, including a number of stages required to load any linked world geometry </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="6fe29dfb11fa16f06ab6fe83d7abee36"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceLoadStarted" ref="6fe29dfb11fa16f06ab6fe83d7abee36" args="(const ResourcePtr &amp;resource)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::resourceLoadStarted           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>resource</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when a declared resource is about to be loaded. 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>resource</em>&nbsp;</td><td>Weak reference to the resource loaded. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="658f1e741d27e594106a90391f08b2ab"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceLoadEnded" ref="658f1e741d27e594106a90391f08b2ab" args="(void)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::resourceLoadEnded           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when the resource has been loaded. 
<p>

</div>
</div><p>
<a class="anchor" name="732dfe8e3bc33b9832aeaa0ac55ae3f3"></a><!-- doxytag: member="Ogre::ResourceGroupListener::worldGeometryStageStarted" ref="732dfe8e3bc33b9832aeaa0ac55ae3f3" args="(const String &amp;description)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::worldGeometryStageStarted           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>description</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when a stage of loading linked world geometry is about to start. 
<p>
The number of stages required will have been included in the resourceCount passed in resourceGroupLoadStarted. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>description</em>&nbsp;</td><td>Text description of what was just loaded </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="167a566c1b0f45411fb19e6ec3f50976"></a><!-- doxytag: member="Ogre::ResourceGroupListener::worldGeometryStageEnded" ref="167a566c1b0f45411fb19e6ec3f50976" args="(void)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::worldGeometryStageEnded           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when a stage of loading linked world geometry has been completed. 
<p>
The number of stages required will have been included in the resourceCount passed in resourceGroupLoadStarted. <dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>description</em>&nbsp;</td><td>Text description of what was just loaded </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="5a54d863d86588ba7971c54ec7f44541"></a><!-- doxytag: member="Ogre::ResourceGroupListener::resourceGroupLoadEnded" ref="5a54d863d86588ba7971c54ec7f44541" args="(const String &amp;groupName)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceGroupListener::resourceGroupLoadEnded           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
This event is fired when a resource group finished loading. 
<p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:30 2008
</p>
</body>
</html>
